Bug 1406081 - Frozen row is not respected when opening XLS or XLSX from file manager
Summary: Frozen row is not respected when opening XLS or XLSX from file manager
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 25
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Eike Rathke
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-19 16:35 UTC by pavelz
Modified: 2017-12-12 10:31 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:31:26 UTC
Type: Bug


Attachments (Terms of Use)

Description pavelz 2016-12-19 16:35:03 UTC
Description of problem:

When XLS or XLSX file is opened from file manager (by double-clicking the appropriate file icon) or from terminal (when the XLS/XLSX file is used as a parameter of "libreoffice" command), the status of frozen row is not respected.

Version-Release number of selected component (if applicable):

Version: 5.2.3.3
Build ID: 5.2.3.3-11.fc25
CPU Threads: 2; OS Version: Linux 4.8; UI Render: default; 
Locale: cs-CZ (cs_CZ.UTF-8); Calc: group

How reproducible:


Steps to Reproduce:
1. Create a new file in LibreOffice Calc
2. Go e.g. to B2 cell
3. Click "Freeze Rows and Columns" button in the toolbar (or use View/Freeze Cells" menu, to freeze the first row and the first column
4. Save file as XLS or XLSX
5. Exit Calc
6. Open the saved file from file manager by double-clicking the appropriate file icon

Actual results:
The row is not frozen, only the first column is frozen.

Expected results:
Both the first row and the first column should be frozen.

Additional info:

This bug does not affect files saved in ODS format.

This bug does not manifest when XLS/XLSX file is opened from within LibreOffice or when another LibreOffice instance is already running.

I did not notice this bug before upgrade from F24 to F25.

Comment 1 pavelz 2017-07-10 09:10:27 UTC
After some more tests it seems that the bug only manifests on Wayland when gtk3 backend is used - https://bugs.documentfoundation.org/show_bug.cgi?id=104643

Comment 2 Fedora End Of Life 2017-11-16 18:41:27 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2017-12-12 10:31:26 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.